{$ASMMODE intel}
;asm
  and eax, ebx
  @start:
  not eax
  jz @final
  not ebx
  or eax, ebx
  jnz @final
  add eax, ebx
  cmp eax, ecx
  jnz @start
  or eax, ebx
  sub eax, ecx

  DB $69

  @final:
end;



